> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Unblock Contact

> Unblock a contact on WhatsApp

## Description

This endpoint allows unblocking a previously blocked contact on WhatsApp.

⚠️ **This endpoint is not yet implemented.**

## Body

```json theme={null}
{
  "sessionId": "my-session",
  "jid": "5511999999999@s.whatsapp.net"
}
```

### Body Parameters

| Property    | Type     | Required | Description                                                                               |
| ----------- | -------- | -------- | ----------------------------------------------------------------------------------------- |
| `sessionId` | `string` | ✅ Yes    | Authenticated session ID                                                                  |
| `jid`       | `string` | ✅ Yes    | Contact identifier to be unblocked (WhatsApp JID). Format: `5511999999999@s.whatsapp.net` |

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "message": "Contact unblocked successfully"
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Contact unblocked successfully
* `400` - Invalid parameters
* `401` - Unauthorized session
* `404` - Session not found
* `501` - Endpoint not implemented

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.wappfy.com.br/api/contacts/unblock \
    -H "Content-Type: application/json" \
    -d '{
      "sessionId": "my-session",
      "jid": "5511999999999@s.whatsapp.net"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.wappfy.com.br/api/contacts/unblock', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      sessionId: 'my-session',
      jid: '5511999999999@s.whatsapp.net'
    })
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.wappfy.com.br/api/contacts/unblock',
      json={
          'sessionId': 'my-session',
          'jid': '5511999999999@s.whatsapp.net'
      }
  )
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json post /api/contacts/unblock
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/contacts/unblock:
    post:
      tags:
        - 👤 Contacts
      summary: Unblock contact
      operationId: ContactsController_unblock
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactRequest'
      responses:
        '201':
          description: ''
      security:
        - api_key: []
components:
  schemas:
    ContactRequest:
      type: object
      properties:
        contactId:
          type: string
          description: Contact identifier (WhatsApp JID)
          example: 5511999999999@c.us
        session:
          type: string
          example: my-session
          description: Session name (instanceName)
      required:
        - contactId
        - session
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````